Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81396 - /proc/cpuinfo contains bogus values for SMP kernels on non-hyperthreaded processors
Summary: /proc/cpuinfo contains bogus values for SMP kernels on non-hyperthreaded proc...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-08 23:24 UTC by Michael J. Saletnik
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:22 UTC


Attachments (Terms of Use)

Description Michael J. Saletnik 2003-01-08 23:24:10 UTC
Description of problem:
Red Hat has ported some of the hyperthreading support from the 2.5 to the 2.4
kernels. In particular, code which prints "Physical processor ID" and "Number of
siblings" in /proc/cpuinfo has been added as linux-2.4.18-cpuinfo-siblings.patch
as of kernel-2.4.18-18.7.x

However, although this is #ifdef'd for SMP kernels, if you look at the 2.5
series (arch/i386/kernel/cpu/proc.c) you will see that it also has to be wrapped
in an if (cpu_has_ht) test.

Otherwise, running on a non-hyperthreaded-cpu SMP system, the physical id and
number of siblings will print out uninitialized values, possibly different each
time.

Version-Release number of selected component (if applicable):
kernel-2.4.18-18.7.x and newer

How reproducible:
Easily

Steps to Reproduce:
1. On an SMP system without hyperthreaded cpus:
   while /bin/true ; do egrep 'Physical|sibling' /proc/cpuinfo ; done
    
Actual results:
Physical processor ID   : 591210800
Number of siblings      : 1
Physical processor ID   : 741353507
Number of siblings      : 1
etc...

Expected results:
Nothing at all - this should not be displayed for non-hyperthreaded cpu's.

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:22 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.